body {
    background-color: #fff;
}

.form-container {
    background-color: #FAF8F8;
    padding: 30px;
    border-radius: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-top: 50px;
    margin-bottom: 50px;
}

.form-control {
    padding: 10px 20px;
    border-radius: 30px;
    border: 1px solid #EFF0F6;
    height: 56px;
    box-shadow: 0px 0px 9px #EFF0F6;
}

textarea.form-control {
    border-radius: 20px;
}

.btn-primary {
    border-radius: 20px;
    background-color: #007bff;
    border-color: #007bff;
}

.form-row {
    margin-bottom: 15px;
}

.custom-table {
    background-color: #f8f9fa;
    border-radius: 18px;
}

.custom-table thead th {
    border: none;
    background-color: #e9ecef;
    font-weight: 600;
    padding: 12px 23px 12px 15px;
    font-weight: bold;
}

.custom-table tbody td {
    padding: 12px 15px;
    vertical-align: middle;
}

/* .custom-table thead th:first-child {
    border-top-left-radius: 18px;
}

.custom-table thead th:last-child {
    border-top-right-radius: 8px;
} */

.custom-table tbody tr {
    background-color: #ffffff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-bottom: 10px;
}

.custom-btn {
    background-color: rgb(230, 76, 82);
    border-color: #cd5459;
    color: black;
    text-transform: lowercase;
    font-size: 0.85rem;
    padding: 7px 10px;
    border-radius: 8px;
}

.warehouse-table thead th:first-child,
.warehouse-table thead th:last-child {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bolder;
    font-size: larger;
    color: black;
    text-align: left;
    padding-left: 20px;
}

.warehouse-table tbody td:first-child {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-style: normal;
    color: black;
    text-align: left;
    padding: 15px 25px;
}

.warehouse-table thead th:last-child,
.warehouse-table tbody td:last-child {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-style: normal;
    color: black;
    padding-right: 25px;
    text-align: right;
}

.composite-item-table {
    margin-top: 4rem;
}

.warehouse-table tbody td:last-child {
    padding-right: 55px;
    text-align: right;
}

.submit-btn {
    background-color: #f64c69;
    color: white;
    padding: 10px 25px;
    border: none;
    border-radius: 25px;
    font-size: 18px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

.submit-btn:hover {
    background-color: #e03c56;
}

.suggestion-list {
    position: absolute;
    max-height: 200px;
    overflow-y: auto;
    z-index: 999;
    width: 100%;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: none;
}

.suggestion-list li {
    padding: 10px;
    cursor: pointer;
}

.suggestion-list li:hover {
    background-color: #f0f0f0;
}

.suggestions-dropdown {
    list-style-type: none;
    padding: 0;
    margin: 0;
    max-width: 220px;
    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: white;
    position: absolute;
    z-index: 1000;
    overflow-y: auto;
    max-height: 150px;
}

.suggestions-dropdown li {
    padding: 5px;
    cursor: pointer;
}

.suggestions-dropdown li:hover {
    background-color: #f0f0f0;
}

#contractor {
    max-height: 200px;
    overflow-y: auto;
    width: 100%;
    display: block;
    border: 1px solid #EFF0F6;
    border-radius: 30px;
    box-shadow: 0px 0px 9px #EFF0F6;
}

/* Style the scrollbar for the dropdown */
#contractor::-webkit-scrollbar {
    width: 8px;
}

#contractor::-webkit-scrollbar-track {
    background: #f1f1f1;
}

#contractor::-webkit-scrollbar-thumb {
    background: #888;
}

#contractor::-webkit-scrollbar-thumb:hover {
    background: #555;
}
